/ api / name / gb.currentcomponent
GB.CurrentComponent
Syntax

    char *GB.CurrentComponent ( void )

This function returns the name of the current component.

The current component is the component where the current class executed by the interpreter was declared. It is always a component written in Gambas!

If there is no current component, i.e. if the current executed class is part of the project, then a void string is returned.

| Use this function if you need to store some data depending on the component. For example, the Picture class uses this feature to have one Picture cache by component.

### See also

Component Management